#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>

int getline(char s[], int n){
int i,c;

for(i=0;i<n  && (c=getchar())!=EOF && c!='\n'; i++)
{
	s[i]=c;
}
s[i]='\0';
return i;
}



int neve(char s[])
{
int i=0, h, ok=1;
h=strlen(s);

if(!isupper(s[0])){ok=0;}

else{
for(i=0;i<h;i++)
{
	if(!islower(s[i])){ok=0;}
	else{ok=1;}
}
}
return ok;
}

int valose(char dob[])
{
int i=0, h, ok=1;
h=strlen(dob);

while(isdigit(dob[i]))
{i++;}

if(i!=h){

if(dob[i]!= '.'){ok=0;}

i++;

while(isdigit(dob[i]))
{i++;}

if(i!=h){ok=0;}

}
return ok;
}


void main(void)
{
char s[128];
char dob[128];
char nev[128];
int ok=1, ndb=0, i=0, k=0, ddb=0;

printf("Hogolyo dobalo verseny\n");

do{
ok=1;
do{
printf("Kerem adja meg a(z) %d versenyzo nevet!\n",ndb+1);

k=getline(s,128);

if(neve(s))
{ok=1; 
ndb++;

}
else{ok=0; printf("Nem jo a nev, adjon ujat!\n");}

}while(ok!=1);


do{
printf("Adja meg a(z) %d dobasi tavolsagot, barmilyen valos szam lehet\n", ddb+1);

getline(dob,128);

if(valose(dob))
{ok=1; printf("Jo");}

else{ok=0; printf("Nem jo");}


}while(ok!=1);


}while(k!=0);

}